20 Replies Latest reply on Apr 28, 2011 8:49 AM by markfairbairn

    Panini - "This project is not Flash Catalyst compatible." Error

    streak_viper Level 1

      While attempting to open a file I'd been working on a for a few hours in Panini I received this error:

       

      -----

       

      This project is not Flash Catalyst compatible. To fix compatibility problems, open the project in Flash Builder.

       

       

      src/Main.mxml (412): Effect target must be a compatible visual component.

       

      src/Main.mxml (719): Effect target must be a compatible visual component.

       

      src/Main.mxml (794): Effect target must be a compatible visual component.

       

      src/Main.mxml (806): Effect target must be a compatible visual component.

       

      src/Main.mxml (850): Effect target must be a compatible visual component.

       

      src/Main.mxml (863): Effect target must be a compatible visual component.

       

      src/Main.mxml (878): Effect target must be a compatible visual component.

       

       

      -----

       

      The file was created and edited only in Panini, never Flash Builder. I have had this error before and shrugged it off, and have been saving iteration ever since. It seems that 6 or 7 iterations have the same issue. It seems to be related to some transitions but I don't know which part of each one.

       

      Each line in question is

       

       

      <s:Sequence target="{designlayerx}"> (x being 2, 5 or 6 depending on the line) Each one is a Fade and each one seems to be a folder containing additional layers.

       

      I'd like to avoid it happening again, since obviously it means I'm redoing work I've already done. Any idea what's causing it? There doesn't appear to be any correlation between what states it's transitioning to (but I didn't look THAT closely so I may be mistaken).

       

      Thanks!